import request from '@/utils/request'

// 查询品类商品中间列表
export function listProduct_category(query) {
  return request({
    url: '/product/product_category/list',
    method: 'get',
    params: query
  })
}

// 查询品类商品中间详细
export function getProduct_category(id) {
  return request({
    url: '/product/product_category/' + id,
    method: 'get'
  })
}

// 新增品类商品中间
export function addProduct_category(data) {
  return request({
    url: '/product/product_category',
    method: 'post',
    data: data
  })
}

// 修改品类商品中间
export function updateProduct_category(data) {
  return request({
    url: '/product/product_category',
    method: 'put',
    data: data
  })
}

// 删除品类商品中间
export function delProduct_category(id) {
  return request({
    url: '/product/product_category/' + id,
    method: 'delete'
  })
}
